| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
PreferencesDialog Class Reference

Dialog for configuring Wireshark preferences. More...

`#include <preferences_dialog.h>`

Inheritance diagram for PreferencesDialog:

## Public Member Functions
| PreferencesDialog (QWidget *parent=0)
| Constructs a PreferencesDialog.
| ~PreferencesDialog ()
| Destroys the PreferencesDialog.
void | setPane (const QString module_name)
| Show the preference pane corresponding to the a preference module name.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event) override
| Handles key press events within the dialog.
void | showEvent (QShowEvent *evt) override
| Handles the show event for the dialog.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

Dialog for configuring Wireshark preferences.

## Constructor & Destructor Documentation

## ◆ PreferencesDialog()

PreferencesDialog::PreferencesDialog | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a PreferencesDialog.

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ keyPressEvent()

void PreferencesDialog::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected

Handles key press events within the dialog.

Parameters

  event | The key press event.

## ◆ setPane()

void PreferencesDialog::setPane | ( | const QString | module_name | ) |

Show the preference pane corresponding to the a preference module name.

Parameters

  module_name | A preference module name, e.g. the "name" parameter passed to prefs_register_module or a protocol name.

## ◆ showEvent()

void PreferencesDialog::showEvent | ( | QShowEvent * | evt | ) |
| override protected

Handles the show event for the dialog.

Parameters

  evt | The show event.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/preferences_dialog.h
- /builds/wireshark/wireshark/ui/qt/preferences_dialog.cpp